package com.google.android.material.transition;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.view.View;
import android.view.ViewGroup;
import ῲ.ᓆ.AbstractC1639;
import ῲ.ᓆ.C1646;

public final class Hold extends AbstractC1639 {
    @Override // ῲ.ᓆ.AbstractC1639
    public Animator onAppear(ViewGroup viewGroup, View view, C1646 r3, C1646 r4) {
        return ValueAnimator.ofFloat(0.0f);
    }

    @Override // ῲ.ᓆ.AbstractC1639
    public Animator onDisappear(ViewGroup viewGroup, View view, C1646 r3, C1646 r4) {
        return ValueAnimator.ofFloat(0.0f);
    }
}
